Administrator Sessions
Retrieve a list of admin sessions. State=1 means that a session is Connected, while State=4 means that a session is Disconnected.
Responses
200
Success
application/json; api-version=1.0
RAS Admin Session
idinteger · int32Optional
ID of the object.
userIdinteger · int32Optional
ID of the user of the session.
logonTimestring · date-timeOptional
Session Logon Time.
ipstring · nullableOptional
IP of the session.
statestring · enumOptionalPossible values:
Session State
computerNamestring · nullableOptional
Computer name of the session.
languagestring · enumOptionalPossible values:
Language
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
get/api/Session
GET /api/Session HTTP/1.1
Accept: */*
[
{
"id": 1,
"userId": 1,
"logonTime": "2026-01-01T00:00:00.000Z",
"ip": "text",
"state": [
"0 = Active",
"1 = Connected",
"2 = ConnectQuery",
"3 = Shadow",
"4 = Disconnected",
"5 = Idle",
"6 = Listen",
"7 = Reset",
"8 = Down",
"9 = Init",
"-1 = All"
],
"computerName": "text",
"language": [
"1 = English",
"2 = German",
"3 = Japanese",
"5 = French",
"6 = Spanish",
"7 = Italian",
"8 = Portuguese",
"9 = ChineseSimplified",
"10 = ChineseTraditional",
"11 = Korean"
]
}
]Last updated